package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdCoupon;
import com.xmomen.module.base.entity.CdCouponExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdCouponMapper extends MybatisMapper {
    // 根据条件统计数量
    int countByExample(CdCouponExample example);

    // 根据条件删除
    int deleteByExample(CdCouponExample example);

    // 插入数据
    int insertSelective(CdCoupon record);

    // 根据条件更新数据
    int updateByExampleSelective(@Param("record") CdCoupon record, @Param("example") CdCouponExample example);
}